#include <iostream>
using namespace std;
int MOD = 1e9+7;
int main()
{
    int n, k;
    cin >> n >> k;
    int a[i];
    for(int i = 0; i < n; i++)
    cin >> a[i];
    if(k==1)
    {
        int s = 0;
        for(int i = 0; i < n; i++)
        for(int j = i; j < n; j++)
        for(int k = i; k <= j; k++)
        {
            s += a[i];
            s %= MOD;
        }
        cout << s;
    }
    else if(k==0)
    {
        int s = 0;
        for(int i = 0; i < n; i++)
        {
            s+=a[i];
            s%=MOD;
        }
        cout << s;
            }
            else cout << -1;
}